#!/bin/bash

# Переменные
SHARE_SMB_DIR='smb://user:1@10.10.30.159/Share'
LOCAL_DIR='/home/user/.veyon/Config'

#Удаление    старых    и    скачивание    актуальных    служебных    файлов

if [[ ! -d $LOCAL_DIR ]]; then
  mkdir -p $LOCAL_DIR
fi
if [[ -f $LOCAL_DIR/Veyon_config.json ]]; then
  rm -f $LOCAL_DIR/Veyon_config.json
fi

smbget $SHARE_SMB_DIR/Veyon_config.json -o $LOCAL_DIR/Veyon_config.json

chmod    -x    $LOCAL_DIR/Veyon_config.json

if [[ -f $LOCAL_DIR/Teacher_public_key.pem ]]; then
  rm -f $LOCAL_DIR/Teacher_public_key.pem
fi

smbget $SHARE_SMB_DIR/Teacher_public_key.pem -o $LOCAL_DIR/Teacher_public_key.pem

chmod    -x    $LOCAL_DIR/Teacher_public_key.pem

#    Импорт    конфигурации
veyon-cli    config    import    $LOCAL_DIR/Veyon_config.json
veyon-cli    authkeys    import    Teacher/public    $LOCAL_DIR/Teacher_public_key.pem
veyon-cli    authkeys    setaccessgroup Teacher/public Teacher

#    Перезапуск    сервиса
veyon-cli    service    register
veyon-cli    service    stop
veyon-cli    service    start

#    Удаление    ярлыков    из    меню
rm    -f    /usr/share/applications/veyon*

